summaryrefslogtreecommitdiff
path: root/macros/texinfo/contrib/texinfo-hu/texinfo/makeinfo/tests/html-top
diff options
context:
space:
mode:
Diffstat (limited to 'macros/texinfo/contrib/texinfo-hu/texinfo/makeinfo/tests/html-top')
-rw-r--r--macros/texinfo/contrib/texinfo-hu/texinfo/makeinfo/tests/html-top13
1 files changed, 13 insertions, 0 deletions
diff --git a/macros/texinfo/contrib/texinfo-hu/texinfo/makeinfo/tests/html-top b/macros/texinfo/contrib/texinfo-hu/texinfo/makeinfo/tests/html-top
new file mode 100644
index 0000000000..038404a49d
--- /dev/null
+++ b/macros/texinfo/contrib/texinfo-hu/texinfo/makeinfo/tests/html-top
@@ -0,0 +1,13 @@
+#!/bin/sh
+# Test that a bare top node does not crash with --html.
+
+: ${srcdir=.}
+
+# But this input file is erroneous, so throw away errors.
+../makeinfo --no-split --force -o html-top.html --html $srcdir/html-top.txi \
+2>/dev/null
+test -s html-top.html
+exit_status=$?
+
+rm -f html-top.html
+exit $exit_status